# \Thelia\LogAbstractTlogDestination

## Summary

Methods
Properties
Constants
__construct()
setConfig()
getConfig()
getConfigs()
SetBackOfficeMode()
add()
write()
getTitle()
getDescription()
No public properties found
No constants found
InsertAfterBody()
configure()
$_configs
$_logs
$flag_back_office
N/A
No private methods found
No private properties found
N/A
abstract

File
  Log/AbstractTlogDestination.php
Package
  \Default
Class hierarchy
  \Thelia\Log\AbstractTlogDestination

## Tags

None found

## Properties

### $_configs

    $_configs

#

## Tags

None found

### $_logs

    $_logs

#

## Tags

None found

### $flag_back_office

    $flag_back_office

#

## Tags

None found

## Methods

### __construct()

    __construct()

#

## Tags

None found

### setConfig()

    setConfig( $name,  $value)

#### Parameters

| $name |
| $value |

#

## Tags

None found

### getConfig()

    getConfig( $name)

#### Parameters

| $name |

#

## Tags

None found

### getConfigs()

    getConfigs()

#

## Tags

None found

### SetBackOfficeMode()

    SetBackOfficeMode( $bool)

#### Parameters

| $bool |

#

## Tags

None found

### add()

    add( $string)

#### Parameters

| $string |

#

## Tags

None found

### write()

    write( $res)

#### Parameters

| $res |

#

abstract

## Tags

None found

### getTitle()

    getTitle()

#

abstract

## Tags

None found

### getDescription()

    getDescription()

#

abstract

## Tags

None found

### InsertAfterBody()

    InsertAfterBody( $res,  $logdata)

#### Parameters

| $res |
| $logdata |

#

## Tags

None found

### configure()

    configure()

#

## Tags

None found

### AbstractTlogDestination.php